org.eclipse.mat.query.registry

## Class CategoryDescriptor

- java.lang.Object
- - org.eclipse.mat.query.registry.CategoryDescriptor

    public final class CategoryDescriptor
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(CategoryDescriptor category)`
`void` `add(QueryDescriptor descriptor)`
`List<Object>` `getChildren()`
`String` `getFullName()`
`String` `getName()`
`List<QueryDescriptor>` `getQueries()`
`List<CategoryDescriptor>` `getSubCategories()`
`CategoryDescriptor` `resolve(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getName

    public String getName()

#### getFullName

    public String getFullName()

#### getChildren

    public List<Object> getChildren()

#### getSubCategories

    public List<CategoryDescriptor> getSubCategories()

#### getQueries

    public List<QueryDescriptor> getQueries()

#### add

    public void add(QueryDescriptor descriptor)

#### add

    public void add(CategoryDescriptor category)

#### resolve

    public CategoryDescriptor resolve(String name)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`